<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:app="http://schemas.android.com/apk/res-auto">

    <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">


        <androidx.core.widget.NestedScrollView
            android:id="@+id/myScrollView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:fillViewport="true">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:layout_constraintBottom_toTopOf="@+id/buttons">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/dialog_basket_lu__mtb_colr_list"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:nestedScrollingEnabled="false"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />


                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/empty_view"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:alpha="0.3"
                        android:visibility="gone">

                        <androidx.constraintlayout.widget.Guideline
                            android:id="@+id/guideline_empty_top"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal"
                            app:layout_constraintGuide_percent="0.2" />

                        <androidx.constraintlayout.widget.Guideline
                            android:id="@+id/guideline_empty_left"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="vertical"
                            app:layout_constraintGuide_percent="0.15" />

                        <androidx.constraintlayout.widget.Guideline
                            android:id="@+id/guideline_empty_right"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="vertical"
                            app:layout_constraintGuide_percent="0.85" />

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:gravity="center_horizontal"
                            android:orientation="vertical"
                            app:layout_constraintEnd_toStartOf="@id/guideline_empty_right"
                            app:layout_constraintStart_toEndOf="@id/guideline_empty_left"
                            app:layout_constraintTop_toTopOf="@id/guideline_empty_top">

                            <androidx.appcompat.widget.AppCompatImageView
                                android:layout_width="56dp"
                                android:layout_height="wrap_content"
                                android:adjustViewBounds="true"
                                android:src="@drawable/ic_box"
                                android:tint="@android:color/black" />

                            <androidx.appcompat.widget.AppCompatTextView
                                style="@style/AppTheme.NewMaterial.Text.Medium"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="16dp"
                                android:gravity="center_horizontal"
                                android:text="@string/no_lu_found_message"
                                android:textColor="@android:color/black" />
                        </LinearLayout>

                    </androidx.constraintlayout.widget.ConstraintLayout>

                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="52dp"
                    android:layout_marginTop="8dp">

                    <androidx.constraintlayout.widget.Guideline
                        android:id="@+id/center_buttons_guideline"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        app:layout_constraintGuide_percent="0.5" />


                    <com.google.android.material.button.MaterialButton
                        android:id="@+id/button_abort"
                        style="@style/Widget.Material3.Button.TextButton.Dialog"
                        android:layout_width="0dp"
                        android:layout_height="52dp"
                        android:layout_marginHorizontal="8dp"
                        android:text="@string/back"
                        app:icon="@drawable/ic_black_back"
                        app:iconGravity="textStart"
                        app:layout_constraintEnd_toStartOf="@id/center_buttons_guideline"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        app:strokeColor="@color/colorPrimary" />


                    <com.google.android.material.button.MaterialButton
                        android:id="@+id/button_confirm"
                        style="@style/Widget.Material3.Button.TonalButton.Icon"
                        android:layout_width="0dp"
                        android:layout_height="52dp"
                        android:layout_marginHorizontal="8dp"
                        android:text="@string/use"
                        app:icon="@drawable/ic_black_tick"
                        app:iconGravity="textStart"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="@id/center_buttons_guideline"
                        app:layout_constraintTop_toTopOf="parent" />


                </androidx.constraintlayout.widget.ConstraintLayout>
            </androidx.appcompat.widget.LinearLayoutCompat>
        </androidx.core.widget.NestedScrollView>
    </LinearLayout>
</layout>